GNU bug report logs - #43167
28.0.50; Cannot build on MacOS due to -std=c99 change in configure.ac

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Keith Irwin <keith@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 43167 <at> debbugs.gnu.org and Keith Irwin <keith@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43167 <at> debbugs.gnu.org:


Received: (at 43167) by debbugs.gnu.org; 25 Dec 2020 06:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 01:22:38 2020
Received: from localhost ([127.0.0.1]:56603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksgUo-0003PH-A2
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 01:22:38 -0500
Received: from quimby.gnus.org ([95.216.78.240]:36010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ksgUj-0003P0-R5
 for 43167 <at> debbugs.gnu.org; Fri, 25 Dec 2020 01:22:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lUoxljiGpc4b0ZOih6p62bQvJumVj4JY+GR2llBHCRM=; b=g8Ipzcqd216wbC9DcwIFleiGjV
 VmadKT/khhqWV6JVRM6ZVJYiy2/19+0EZUKbWNm/tCI8UKHgyDE6QT6NwWDW7QHXnJLDrTJ2KWKx3
 sL4uRaHWXlOouUNHxY+KkTkdJzRh8YGCaKnH31TL6uhV7W/E8nEZsTkiXS+Bze8UL7hM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ksgUU-0007Kg-8H; Fri, 25 Dec 2020 07:22:27 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43167: 28.0.50; Cannot build on MacOS due to -std=c99
 change in configure.ac
References: <m2pn67j6pd.fsf@HIDDEN>
X-Now-Playing: Lal & Mike Waterson's _Bright Phoebus_: "Fine horseman"
Date: Fri, 25 Dec 2020 07:22:15 +0100
In-Reply-To: <m2pn67j6pd.fsf@HIDDEN> (Alan Third's message of
 "Sun, 27 Sep 2020 21:38:38 +0100")
Message-ID: <878s9mh0bs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alan Third <alan@HIDDEN> writes: > fixed 43167 28.1 This
 was marked as fixed, but not closed? So I'm closing this now. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43167
Cc: 43167 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> fixed 43167 28.1

This was marked as fixed, but not closed?  So I'm closing this now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43167; Package emacs. Full text available.
bug Marked as fixed in versions 28.1. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43167 <at> debbugs.gnu.org:


Received: (at 43167) by debbugs.gnu.org; 4 Sep 2020 07:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 03:00:13 2020
Received: from localhost ([127.0.0.1]:37106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE5hi-0005XL-4N
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 03:00:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kE5hS-0005V2-42
 for 43167 <at> debbugs.gnu.org; Fri, 04 Sep 2020 03:00:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53924)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kE5hM-000219-1Y; Fri, 04 Sep 2020 02:59:48 -0400
Received: from [176.228.60.248] (port=2638 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kE5hL-0000AE-57; Fri, 04 Sep 2020 02:59:47 -0400
Date: Fri, 04 Sep 2020 09:59:37 +0300
Message-Id: <835z8uuiw6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-Reply-To: <04858aa2-3a50-4297-9e34-99310823b982_IMAP_ADDED_MISSING@EDGAR>
 (message from Alan Third on Thu, 3 Sep 2020 22:58:30 +0200 (CEST))
Subject: Re: bug#43167: 28.0.50;
 Cannot build on MacOS due to -std=c99 change in configure.ac
References: <75F1FEBD-BFCF-44CB-A2E6-1BAC34D6D4F8@HIDDEN>
 <04858aa2-3a50-4297-9e34-99310823b982_IMAP_ADDED_MISSING@EDGAR>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43167
Cc: keith@HIDDEN, 43167 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 3 Sep 2020 22:58:30 +0200 (CEST)
> From: Alan Third <alan@HIDDEN>
> Cc: 43167 <at> debbugs.gnu.org
> 
> Ah, useful, now GCC won't build without -std=c99, but clang won't
> build WITH it. 🙄

Does it help to use -std=gnu99 instead?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43167; Package emacs. Full text available.

Message received at 43167 <at> debbugs.gnu.org:


Received: (at 43167) by debbugs.gnu.org; 3 Sep 2020 21:04:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 03 17:04:45 2020
Received: from localhost ([127.0.0.1]:36330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDwPV-0004JS-Iv
	for submit <at> debbugs.gnu.org; Thu, 03 Sep 2020 17:04:45 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:54573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <keith@HIDDEN>) id 1kDwPT-0004JF-JG
 for 43167 <at> debbugs.gnu.org; Thu, 03 Sep 2020 17:04:44 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id 53C2D5C00E6;
 Thu,  3 Sep 2020 17:04:38 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Thu, 03 Sep 2020 17:04:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=qxJvf+
 4tKlAhMqk4aMel7jfzEi8osRJ4fSWJ6VvHVLU=; b=Od/HaNNNyaojShMNpP09nl
 BIxAt032E5RtApQafINlwD6kOIBiyeo7HlGNXdHzw58MiaD9N9b30fuAlzJ3PPjA
 LaDsytcopxs8pugbAbKajUTJ1Ef44IvURNtUfTdTNnBJ+rsLRZkRrmvSOe7Ee/kH
 HTTl5OsSGHIC6e3juPte1c2jV6e2D1nbkxuodBCsL2fpJ/eG7K08gnqUCr+c4il7
 RtaZphxpmG43IFzRwGlWkhfbFOoz75vagT/IAIcBPqs6RotlgL7v3GBVObe4Q16N
 V/FNDzcNJWOUksaM+v97Nez+3HPSkhBrxcO1VpTmMfBDt3/B9JmPDwQdETLi1YTA
 ==
X-ME-Sender: <xms:ZVpRX2Fg1t_ZpG7jSzPEnH7Y5_jUFurXftLBaly1U8fJx4EchD_iVg>
 <xme:ZVpRX3VLQChr_Cy_PJkeHagKxLdG31iA3wU4G6tRjqdWj9br8PyUN4dRE6ufifUTX
 8MbXJzmAKwzUdu5>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudeguddgudehlecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhkfgtggfuffgjvfhfofesrgdtmherhhdtjeenucfhrhhomhepmfgvihht
 hhcukfhrfihinhcuoehkvghithhhseiivghnthhrohhpvgdrtghomheqnecuggftrfgrth
 htvghrnhepgeetheekvddtleelhedvtefgleetgffhjefhtddvleeuleelgeehjedvhffg
 tedvnecukfhppeeljedruddvtddrvdefledruddtnecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomhepkhgvihhthhesiigvnhhtrhhophgvrdgtohhm
X-ME-Proxy: <xmx:ZVpRXwKXZ-Qwc0wJkqcAZGL79pJLi9GjEUlBJX0n-KgVRz_qjwDNSQ>
 <xmx:ZVpRXwGEgognQv5kSKxxsQRE_TTzoiPf920PsxnH3zfOgxfkUHN4iA>
 <xmx:ZVpRX8XeWi1DRMc9oLo8lpsU1bu50kbJ7rSq53QgZw39IyVUdeVe5w>
 <xmx:ZlpRX0gW1LlpKfgs9pQQhGFCdez5QFlJcMbGZF99jcgypndLOUVPeQ>
Received: from localhost.localdomain (97-120-239-10.ptld.qwest.net
 [97.120.239.10])
 by mail.messagingengine.com (Postfix) with ESMTPA id 706FE306005F;
 Thu,  3 Sep 2020 17:04:37 -0400 (EDT)
From: Keith Irwin <keith@HIDDEN>
Message-Id: <910D8893-D670-41A2-B6CE-B74D3FAFA365@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_2D9CD943-64B3-4760-9D70-E4D462956D17"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.0.3.2.26\))
Subject: Re: bug#43167: 28.0.50; Cannot build on MacOS due to -std=c99 change
 in configure.ac
Date: Thu, 3 Sep 2020 14:04:36 -0700
In-Reply-To: <04858aa2-3a50-4297-9e34-99310823b982_IMAP_ADDED_MISSING@EDGAR>
To: Alan Third <alan@HIDDEN>
References: <75F1FEBD-BFCF-44CB-A2E6-1BAC34D6D4F8@HIDDEN>
 <04858aa2-3a50-4297-9e34-99310823b982_IMAP_ADDED_MISSING@EDGAR>
X-Mailer: Apple Mail (2.3654.0.3.2.26)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43167
Cc: 43167 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Apple-Mail=_2D9CD943-64B3-4760-9D70-E4D462956D17
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Works for me!

Thanks. ;)

Regards,
Keith

> On Sep 3, 2020, at 1:58 PM, Alan Third <alan@HIDDEN> wrote:
>=20
> On Tue, Sep 01, 2020 at 10:44:07PM -0700, Keith Irwin wrote:
>> I=E2=80=99ve been unable to build Emacs from the master branch for =
the past
>> several days on MacOS (Big Sur). Previously, compiling on Big Sur
>> worked.
>>=20
>> I get the following error:
>>=20
>>=20
>>      CC       fringe.o
>>      CC       image.o
>>      CC       json.o
>>      CC       nsterm.o
>>    In file included from nsterm.m:46:
>>    ./lisp.h:1237:24: error: implicit declaration of function 'typeof' =
is invalid in
>>          C99 [-Werror,-Wimplicit-function-declaration]
>>      return USE_LSB_TAG ? make_fixnum (n) : XIL (n + (int0 << =
VALBITS));
>=20
> Ah, useful, now GCC won't build without -std=3Dc99, but clang won't
> build WITH it. =F0=9F=99=84
>=20
> And the irony is that both versions I have direct access to don't care
> either way.
>=20
> Right, I'll have to add a test, I suppose.
>=20
> Done, and pushed to master. I've checked it compiles here, but it was
> working anyway, so please give it another go and let us know how it
> goes.
>=20
> Thanks!
> --=20
> Alan Third


--Apple-Mail=_2D9CD943-64B3-4760-9D70-E4D462956D17
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">Works=
 for me!<div class=3D""><br class=3D""></div><div class=3D"">Thanks. =
;)</div><div class=3D""><br class=3D""></div><div =
class=3D"">Regards,</div><div class=3D"">Keith<br class=3D""><div><br =
class=3D""><blockquote type=3D"cite" class=3D""><div class=3D"">On Sep =
3, 2020, at 1:58 PM, Alan Third &lt;<a href=3D"mailto:alan@HIDDEN" =
class=3D"">alan@HIDDEN</a>&gt; wrote:</div><br =
class=3D"Apple-interchange-newline"><div class=3D""><meta =
charset=3D"UTF-8" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); =
font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">On Tue, Sep 01, 2020 at 10:44:07PM -0700, Keith Irwin =
wrote:</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><blockquote type=3D"cite" style=3D"font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; orphans: auto; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D"">I=E2=80=
=99ve been unable to build Emacs from the master branch for the past<br =
class=3D"">several days on MacOS (Big Sur). Previously, compiling on Big =
Sur<br class=3D"">worked.<br class=3D""><br class=3D"">I get the =
following error:<br class=3D""><br class=3D""><br =
class=3D"">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CC =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fringe.o<br =
class=3D"">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CC =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;image.o<br =
class=3D"">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CC =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;json.o<br =
class=3D"">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CC =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;nsterm.o<br =
class=3D"">&nbsp;&nbsp;&nbsp;In file included from nsterm.m:46:<br =
class=3D"">&nbsp;&nbsp;&nbsp;./lisp.h:1237:24: error: implicit =
declaration of function 'typeof' is invalid in<br =
class=3D"">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C99 =
[-Werror,-Wimplicit-function-declaration]<br =
class=3D"">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;return USE_LSB_TAG ? =
make_fixnum (n) : XIL (n + (int0 &lt;&lt; VALBITS));<br =
class=3D""></blockquote><br style=3D"caret-color: rgb(0, 0, 0); =
font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">Ah, useful, now GCC won't build without -std=3Dc99, but clang =
won't</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">build WITH =
it. =F0=9F=99=84</span><br style=3D"caret-color: rgb(0, 0, 0); =
font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><br style=3D"caret-color: rgb(0, 0, =
0); font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">And the irony is that both versions I have direct access to =
don't care</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">either =
way.</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">Right, I'll =
have to add a test, I suppose.</span><br style=3D"caret-color: rgb(0, 0, =
0); font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><br style=3D"caret-color: rgb(0, 0, =
0); font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">Done, and pushed to master. I've checked it compiles here, =
but it was</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">working =
anyway, so please give it another go and let us know how it</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Menlo-Regular; =
font-size: 13px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">goes.</span><br=
 style=3D"caret-color: rgb(0, 0, 0); font-family: Menlo-Regular; =
font-size: 13px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" =
class=3D"">Thanks!</span><br style=3D"caret-color: rgb(0, 0, 0); =
font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Menlo-Regular; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">--<span class=3D"Apple-converted-space">&nbsp;</span></span><br=
 style=3D"caret-color: rgb(0, 0, 0); font-family: Menlo-Regular; =
font-size: 13px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Menlo-Regular; font-size: 13px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">Alan =
Third</span></div></blockquote></div><br class=3D""></div></body></html>=

--Apple-Mail=_2D9CD943-64B3-4760-9D70-E4D462956D17--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43167; Package emacs. Full text available.

Message received at 43167 <at> debbugs.gnu.org:


Received: (at 43167) by debbugs.gnu.org; 3 Sep 2020 20:58:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 03 16:58:44 2020
Received: from localhost ([127.0.0.1]:36325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDwJf-00049S-Tl
	for submit <at> debbugs.gnu.org; Thu, 03 Sep 2020 16:58:44 -0400
Received: from mailout-l3b-97.contactoffice.com ([212.3.242.97]:54330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kDwJa-000499-Av
 for 43167 <at> debbugs.gnu.org; Thu, 03 Sep 2020 16:58:42 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by mailout-l3b-97.contactoffice.com (Postfix) with ESMTP id 6409AB7C;
 Thu,  3 Sep 2020 22:58:31 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1599166711; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:Content-Transfer-Encoding:In-Reply-To;
 l=952; bh=LyUVFcAOkoh283rooYj9xi38PR8bqBzrIbYPy6W7TLI=;
 b=SIqTJ6aafrZ4PqkYNxW0fsbqgxUJ7X64Bb4DiB0L/t8hfuRUJZ//DCiAKyuSXQIm
 OsdJqupt5GRLqnfC/u6RvOIIVtgsQH4F4UBmL0woMBcv9tQLEDwuZlcTfkYD7Cs5oDA
 BnMW2rS1r/UxuyLJSc/Q7FKDABJiDzcsAWAVY0CcaOTdq4r9IO3Xv8zNoQKibZXwUe1
 6N9gc9YcM7M2I1k8NFXmbLJMRHdS6GTvpU9CDl1ZTypE3bC8otRjm4f3quV4jnAoF1g
 3QY6VgBE3qagsjrql2GGuCYjEwYymMYgH8SpopxZ8c0bszyMsdHeLmwqZFi4dxyio6M
 Fa8P3yR7Aw==
Received: by smtp.mailfence.com with ESMTPA ;
 Thu, 3 Sep 2020 22:58:28 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 5D77E202515658; Thu,  3 Sep 2020 21:57:42 +0100 (BST)
Date: Thu, 3 Sep 2020 22:58:30 +0200 (CEST)
From: Alan Third <alan@HIDDEN>
To: Keith Irwin <keith@HIDDEN>
Subject: Re: bug#43167: 28.0.50; Cannot build on MacOS due to -std=c99 change
 in configure.ac
Message-ID: <04858aa2-3a50-4297-9e34-99310823b982_IMAP_ADDED_MISSING@EDGAR>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Keith Irwin <keith@HIDDEN>, 43167 <at> debbugs.gnu.org
References: <75F1FEBD-BFCF-44CB-A2E6-1BAC34D6D4F8@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <75F1FEBD-BFCF-44CB-A2E6-1BAC34D6D4F8@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-1.0 required=4.7 symbols=ALL_TRUSTED device=10.2.0.21
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43167
Cc: 43167 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Sep 01, 2020 at 10:44:07PM -0700, Keith Irwin wrote:
> I’ve been unable to build Emacs from the master branch for the past
> several days on MacOS (Big Sur). Previously, compiling on Big Sur
> worked.
> 
> I get the following error:
> 
> 
>       CC       fringe.o
>       CC       image.o
>       CC       json.o
>       CC       nsterm.o
>     In file included from nsterm.m:46:
>     ./lisp.h:1237:24: error: implicit declaration of function 'typeof' is invalid in
>           C99 [-Werror,-Wimplicit-function-declaration]
>       return USE_LSB_TAG ? make_fixnum (n) : XIL (n + (int0 << VALBITS));

Ah, useful, now GCC won't build without -std=c99, but clang won't
build WITH it. 🙄

And the irony is that both versions I have direct access to don't care
either way.

Right, I'll have to add a test, I suppose.

Done, and pushed to master. I've checked it compiles here, but it was
working anyway, so please give it another go and let us know how it
goes.

Thanks!
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43167; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2020 05:44:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 01:44:22 2020
Received: from localhost ([127.0.0.1]:57958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDLZG-0008CZ-GQ
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 01:44:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:43092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <keith@HIDDEN>) id 1kDLZA-0008CM-UR
 for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 01:44:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34156)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <keith@HIDDEN>)
 id 1kDLZA-0005ux-Lp
 for bug-gnu-emacs@HIDDEN; Wed, 02 Sep 2020 01:44:16 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:38911)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <keith@HIDDEN>)
 id 1kDLZ5-0000T8-Mk
 for bug-gnu-emacs@HIDDEN; Wed, 02 Sep 2020 01:44:16 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id C2FB25C023C;
 Wed,  2 Sep 2020 01:44:09 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Wed, 02 Sep 2020 01:44:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=gh2eJq
 dxysoC5gQSqDXX3u/ILmQAlDrTi+gw6hRjhTA=; b=bnnROI3C9jbsrjZQV1eqDy
 doDi2ywrz43rPITN1Ek0WZ6TMhVfw0W1bxa1x26waIk6LwRF+kpSX6+V1Pety+0v
 OMsYgFDDLkDHFXGTCkGb0pjdZY/gYorlg6rEvY3fHmPDYb2pHd4UGVFgNewZZK62
 jCMC/VeokllJ3Yc0B3NYDQdDN/RO63ozIAyrf1cvKV/3knjSMfah+r9Zbd3MNcMC
 yUWPo7S12ctbZ5s81gUQvdBS7mB5qHkVM4nM2h/6rD9H87w0Bj4WM8l5Ns6iKRvY
 6ODJenIha8V6vXLEBHzPNtlffYd5ksMh43hC6bRwd6Iz+NSccjQkvST9mQd+KJSg
 ==
X-ME-Sender: <xms:KDFPX0EdhGnBpjAc8fiBQ73bVrPCGAliDwhJAjt__Guf1oxvCO9Pww>
 <xme:KDFPX9X2aj2tHRUXBvJiSxOosCDAMyqiu4uNKUgPpEy76k_DEZqhe5l4LtiM0mRAO
 EQ8EzB1jbgVoUVn>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudefkedgleelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephfgtgfgguffkfffvofesthhqmhdthhdtjeenucfhrhhomhepmfgvihhthhcu
 kfhrfihinhcuoehkvghithhhseiivghnthhrohhpvgdrtghomheqnecuggftrfgrthhtvg
 hrnhepveehfeffledvueffledtueevhfehudffteelvdevfeelgefffeellefhheekffej
 necuffhomhgrihhnpehgnhhurdhorhhgpdigtghouggvqdgsvghtrgdrrghpphenucfkph
 epleejrdduvddtrddvfeelrddutdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgr
 mhepmhgrihhlfhhrohhmpehkvghithhhseiivghnthhrohhpvgdrtghomh
X-ME-Proxy: <xmx:KDFPX-LOCnr_tFpq9F9Da4ZEPBjY1xp0Nx84ScBx7js07DPx_2lw4Q>
 <xmx:KDFPX2GOtKUrSQ-PjhLRfwuUsBnk0WQpT5UKZ8cvwBV2RKjUhpXFzw>
 <xmx:KDFPX6WJe2HUeN6ao1rDr1HgHj0EPfGwK9bNbdRNef-IfefDFgUwdQ>
 <xmx:KTFPXyiP6M2RGzxg3dDVI3nhR-T4ffXVRb21r3UABAC7-lOT_5Rs1w>
Received: from localhost.localdomain (97-120-239-10.ptld.qwest.net
 [97.120.239.10])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9A7F8328005E;
 Wed,  2 Sep 2020 01:44:08 -0400 (EDT)
From: Keith Irwin <keith@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.0.3\))
Subject: 28.0.50; Cannot build on MacOS due to -std=c99 change in configure.ac
Message-Id: <75F1FEBD-BFCF-44CB-A2E6-1BAC34D6D4F8@HIDDEN>
Date: Tue, 1 Sep 2020 22:44:07 -0700
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3654.0.3)
Received-SPF: none client-ip=66.111.4.27; envelope-from=keith@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/02 01:44:09
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I=E2=80=99ve been unable to build Emacs from the master branch for the =
past several days on MacOS (Big Sur). Previously, compiling on Big Sur =
worked.

I get the following error:


      CC       fringe.o
      CC       image.o
      CC       json.o
      CC       nsterm.o
    In file included from nsterm.m:46:
    ./lisp.h:1237:24: error: implicit declaration of function 'typeof' =
is invalid in
          C99 [-Werror,-Wimplicit-function-declaration]
      return USE_LSB_TAG ? make_fixnum (n) : XIL (n + (int0 << =
VALBITS));
                           ^
    ./lisp.h:444:26: note: expanded from macro 'make_fixnum'
    #  define make_fixnum(n) lisp_h_make_fixnum (n)
                             ^
    ./lisp.h:395:9: note: expanded from macro 'lisp_h_make_fixnum'
         ({ typeof (+(n)) lisp_h_make_fixnum_n =3D n; \
            ^
    ./lisp.h:1237:24: note: did you mean 'Ftype_of'?
    ./lisp.h:444:26: note: expanded from macro 'make_fixnum'
    #  define make_fixnum(n) lisp_h_make_fixnum (n)
                             ^
    ./lisp.h:395:9: note: expanded from macro 'lisp_h_make_fixnum'
         ({ typeof (+(n)) lisp_h_make_fixnum_n =3D n; \
            ^
    ./globals.h:4765:8: note: 'Ftype_of' declared here
    EXFUN (Ftype_of, 1);
           ^
    In file included from nsterm.m:46:
    ./lisp.h:1237:24: error: expected ';' after expression
      return USE_LSB_TAG ? make_fixnum (n) : XIL (n + (int0 << =
VALBITS));


I tracked the issue to this commit:

    =
https://emba.gnu.org/emacs/emacs/-/commit/72f66f70eef18e3b25cc989d67711887=
304f184b

When I make this change to line ~1904:


    #GNU_OBJC_CFLAGS=3D"-std=3Dc99=E2=80=9D
    GNU_OBJC_CFLAGS=3D""


I can compile emacs as per usual.

I=E2=80=99m running macOS 11, Beta 5, with Xcode Beta 6, though I=E2=80=99=
m not sure if that=E2=80=99s an issue.


$ clang --version

Apple clang version 12.0.0 (clang-1200.0.31.1)
Target: x86_64-apple-darwin20.0.0
Thread model: posix
InstalledDir: =
/Applications/Xcode-beta.app/Contents/Developer/Toolchains/XcodeDefault.xc=
toolchain/usr/bin

$ gcc --version

Configured with: =
--prefix=3D/Applications/Xcode-beta.app/Contents/Developer/usr =
--with-gxx-include-dir=3D/Applications/Xcode-beta.app/Contents/Developer/P=
latforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/include/c++/4.2.1
Apple clang version 12.0.0 (clang-1200.0.31.1)
Target: x86_64-apple-darwin20.0.0
Thread model: posix
InstalledDir: =
/Applications/Xcode-beta.app/Contents/Developer/Toolchains/XcodeDefault.xc=
toolchain/usr/bin






Acknowledgement sent to Keith Irwin <keith@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43167; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Dec 2020 06:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.